=== debian/changelog ===
shadow (1:4.17.4-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:16:34 +0000

shadow (1:4.17.4-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2098865)
    Remaining changes:
    - d/p/* : Enable private home directories by default
    - debian/{source_shadow.py,login.defs.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
      This one got refreshed, and some space vs tabs shenanigans got fixed
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
    - d/t/smoke: Extend for extrausers support
    - Add some cursory tests for the extrausers features
    - d/p/lp2063200: fix useradd group validation with extrausers (LP 2063200)
      Small refresh here with a variable renamed
    - d/p/u/0001-...fully-numeric.patch:
      Non trivial refresh after some part of the feature got upstreamed.
    Dropped changes:
    - d/tests: make 'upstream' tests work with current sources layout
      Upstream fixed its layout, it's not needed anymore

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 07 May 2025 14:16:59 +0200

shadow (1:4.17.4-2) unstable; urgency=medium

  * Allow LOGIN_ENV_SAFELIST (from util-linux) in /etc/login.defs.
    Using patch from upstream.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Apr 2025 12:20:28 +0200

shadow (1:4.17.4-1) unstable; urgency=medium

  * New upstream version 4.17.4
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Mar 2025 13:28:35 +0100
