=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Enable PIE, BINDNOW, and possible future flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

# Adds extra options when calling the configure script:
DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--mandir=/usr/share/man \
	--with-libpam \
	--with-yescrypt \
	--enable-shadowgrp \
	--enable-subordinate-ids \
	--enable-lastlog=no \
	--enable-man \
	--disable-account-tools-setuid \
	--with-group-name-max-length=32 \
	--with-acl \
	--with-attr \
	--without-su \
	--without-tcb \


ifeq ($(DEB_HOST_ARCH_OS),linux)
DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
DEB_CONFIGURE_EXTRA_FLAGS += --with-btrfs
endif

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DEB_CONFIGURE_EXTRA_FLAGS += --disable-man
endif

DEB_CONFIGURE_EXTRA_FLAGS += SHELL=/bin/sh

# Set the default editor for vipw/vigr
CFLAGS += -DDEFAULT_EDITOR="\"sensible-editor\""

%:
	dh $@

execute_after_dh_auto_clean:
	# rebuild lib/getdate.c
	rm -f lib/getdate.c

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installpam:
	# Distribute the pam.d files; unless for the commands with disabled PAM
	# support
	dh_installpam -p passwd --name=passwd
	dh_installpam -p passwd --name=chfn
	dh_installpam -p passwd --name=chsh
	dh_installpam -p passwd --name=chpasswd
	dh_installpam -p passwd --name=newusers
