=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,\
    pgpsigurlmangle=s/$/.asc/,\
    versionmangle=s/-(alpha|beta|rc)/~$1/,\
    dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
    https://github.com/shadow-maint/@PACKAGE@/tags \
    /shadow-maint/@PACKAGE@/archive/refs/tags/([^v].*)\.tar\.gz
