=== debian/changelog ===
shadow (1:4.18.0-2) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Update Dutch translations (Closes: #1115411)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Sep 2025 00:46:09 +0200

shadow (1:4.18.0-1) unstable; urgency=medium

  * New upstream version 4.18.0
  * Refresh patches
  * d/copyright: update for upstream-deleted code
  * Drop newly unnecessay Build-Depends: bison

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Aug 2025 23:05:38 +0200
