=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: shadow
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
  Chris Hofstaedtler <zeha@debian.org>
 Section: admin
 Priority: required
 Build-Depends:
- bison,
  debhelper-compat (= 13),
  dh-package-notes,
  dh-sequence-zz-debputy-rrr (>= 0.1.23~),
