=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root, superficial

Tests: upstream
Depends:
 expect,
 procps,
 @,
 @builddeps@
Restrictions: needs-root, build-needed, breaks-testbed, allow-stderr, isolation-machine
