## shadow 4.19.0

=== debian/changelog ===
shadow (1:4.19.0-4) unstable; urgency=medium

  * Import upstream patches to fix hash check (Closes: #1124835)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 08 Jan 2026 00:01:00 +0100

shadow (1:4.19.0-3) unstable; urgency=medium

  * chpasswd: Disable broken hash check, bug #1124835

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Jan 2026 11:11:24 +0100

shadow (1:4.19.0-2) unstable; urgency=medium

  * Disable logind integration on !linux

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Jan 2026 02:38:50 +0100

shadow (1:4.19.0-1) unstable; urgency=medium

  * New upstream version 4.19.0
  * Refresh patches
  * Drop upstream-applied patches
  * Add new build-dependency on libsystemd-dev [linux-any]
  * login.defs: Remove commented out USERDEL_CMD

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Jan 2026 01:16:37 +0100
