=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libpam0g-dev,
  libselinux1-dev [linux-any],
  libsemanage-dev [linux-any],
+ libsystemd-dev [linux-any],
  libxml2-utils <!nodoc>,
  pkgconf,
  systemd-dev [linux-any],
