=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,8 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
 DEB_CONFIGURE_EXTRA_FLAGS += --with-btrfs
+else
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-logind
 endif
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
