## shadow 4.19.2

=== debian/changelog ===
shadow (1:4.19.2-1) unstable; urgency=medium

  * New upstream version 4.19.2
  * Refresh patches, drop upstream-applied chkhask patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 25 Jan 2026 14:18:54 +0100
