## shadow 4.19.3

=== debian/changelog ===
shadow (1:4.19.3-1) unstable; urgency=medium

  * New upstream version 4.19.3
  * Update Upstream signing keys
  * d/watch: enable pgpmode=auto

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Feb 2026 09:54:37 +0100
