=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
- Chris Hofstaedtler <zeha@debian.org>
+ Chris Hofstaedtler <zeha@debian.org>,
 Section: admin
 Priority: required
 Build-Depends:
@@ -26,12 +26,13 @@
  libxml2-utils <!nodoc>,
  pkgconf,
  systemd-dev [linux-any],
- xsltproc <!nodoc>
+ xsltproc <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
 Vcs-Browser: https://salsa.debian.org/debian/shadow
 Homepage: https://github.com/shadow-maint/shadow
 Rules-Requires-Root: no
+X-Style: black
 
 Package: passwd
 Architecture: any
@@ -39,11 +40,11 @@
 Depends:
  base-passwd (>= 3.6.4),
  libpam-modules,
- login.defs
+ login.defs,
 Recommends:
- sensible-utils
+ sensible-utils,
 Replaces:
- login (<< 1:4.16.0-2~)
+ login (<< 1:4.16.0-2~),
 Description: change and administer password and group data
  This package includes passwd, chsh, chfn, and many other programs to
  maintain password and group data.
@@ -54,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Replaces:
- login (<< 1:4.16.0-2~)
+ login (<< 1:4.16.0-2~),
 Description: system user management configuration
  This package provides the login.defs configuration file,
  used by otherwise unrelated tools managing system users.
@@ -82,7 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsubid5 (= ${binary:Version})
+ libsubid5 (= ${binary:Version}),
 Description: subordinate id handling library -- shared library
  The library provides an interface for querying, granding and ungranting
  subordinate user and group ids.
