=== debian/tests/control ===
Tests:
 smoke,
Restrictions:
 needs-root,
 superficial,

Tests:
 upstream,
Depends:
 expect,
 procps,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 breaks-testbed,
 build-needed,
 isolation-machine,
 needs-root,
