## shadow 970616

=== debian/rules ===
#!/usr/bin/make -f

package = shadow

build:
	$(checkdir)
	CFLAGS='-D_GNU_SOURCE -O2 -Wall' ./configure --enable-shadowgrp
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf debian/tmp{-l,-p,-s} debian/{files*,substvars}
	find . -name '*~' -print0 | xargs -0 rm -f

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	binary-login binary-passwd binary-su

binary-login:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp-l
	umask 000
	install -d debian/tmp-l/{DEBIAN,bin,etc/init.d,usr/{bin,man/man{1,5,8},doc/login,sbin}}
	cp src/login debian/tmp-l/bin/
	cp src/{newgrp,faillog,lastlog} debian/tmp-l/usr/bin/
	cp src/logoutd debian/tmp-l/usr/sbin/
	strip debian/tmp-l/{bin/*,usr/bin/*}
	cp man/{login.1,newgrp.1} debian/tmp-l/usr/man/man1/
	cp man/{login.defs.5,login.access.5,porttime.5,faillog.5} \
	  debian/tmp-l/usr/man/man5/
	cp man/{faillog.8,logoutd.8,lastlog.8} \
	  debian/tmp-l/usr/man/man8/
	ln -sf newgrp debian/tmp-l/usr/bin/sg
	ln -sf newgrp.1.gz debian/tmp-l/usr/man/man1/sg.1.gz
	cp etc/login.defs.linux debian/tmp-l/etc/login.defs
	cp etc/login.access debian/{securetty,porttime} debian/tmp-l/etc/
	cp debian/logoutd debian/tmp-l/etc/init.d/
	chmod +x debian/tmp-l/etc/init.d/logoutd
	cp debian/changelog debian/tmp-l/usr/doc/login/changelog.Debian
	cp doc/CHANGES debian/tmp-l/usr/doc/login/
	find debian/tmp-l/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/login.copyright debian/tmp-l/usr/doc/login/copyright
	cp debian/login.preinst debian/tmp-l/DEBIAN/preinst
	cp debian/login.postinst debian/tmp-l/DEBIAN/postinst
	cp debian/login.prerm    debian/tmp-l/DEBIAN/prerm
	cp debian/login.postrm   debian/tmp-l/DEBIAN/postrm
	chmod +x debian/tmp-l/DEBIAN/{post,pre}{inst,rm}
	cp debian/login.conffiles debian/tmp-l/DEBIAN/conffiles
	dpkg-shlibdeps -dPre-Depends debian/tmp-l/{bin/*,usr/bin/*}
	dpkg-gencontrol -isp -plogin -Pdebian/tmp-l
	chown -R root.root debian/tmp-l
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-l
	chmod 4755 debian/tmp-l/bin/login debian/tmp-l/usr/bin/newgrp
	dpkg --build debian/tmp-l ..

binary-passwd:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp-p
	umask 000
	install -d debian/tmp-p/{DEBIAN,etc,usr/{sbin,bin,man/{man1,man5,man8},doc/passwd}}
	cp etc/shells debian/tmp-p/etc/
	cp src/{chage,chfn,chsh,expiry,gpasswd,passwd} debian/tmp-p/usr/bin/
	cp src/{chpasswd,groupadd,groupdel,groupmod,grpck,grpconv,grpunconv} \
	  src/{mkpasswd,newusers,pwck,pwunconv,mkpasswd,useradd,userdel} \
	  src/{dpasswd,usermod,vipw} debian/tmp-p/usr/sbin/
	cp src/pwconv debian/tmp-p/usr/sbin/pwconv
	strip debian/tmp-p/usr/{bin/*,sbin/*}
	cp man/{chage.1,chfn.1,chsh.1,gpasswd.1,passwd.1} \
	  debian/tmp-p/usr/man/man1/
	cp man/{chpasswd.8,groupadd.8,groupdel.8,groupmod.8,grpck.8} \
	  man/{mkpasswd.8,newusers.8,pwauth.8,pwck.8,dpasswd.8} \
	  man/{useradd.8,userdel.8,usermod.8,vipw.8,shadowconfig.8} \
	  debian/tmp-p/usr/man/man8/
	cp man/{passwd.5,shadow.5} debian/tmp-p/usr/man/man5/
	ln -s vipw debian/tmp-p/usr/sbin/vigr
	ln -s vipw.8.gz debian/tmp-p/usr/man/man8/vigr.8.gz
	cp debian/changelog debian/tmp-p/usr/doc/passwd/changelog.Debian
	cp doc/{CHANGES,README,README.limits,README.linux,README.debian} \
	  debian/tmp-p/usr/doc/passwd/
	find debian/tmp-p/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/passwd.copyright debian/tmp-p/usr/doc/passwd/copyright
	cp debian/login.preinst debian/tmp-p/DEBIAN/preinst
	cp debian/passwd.postinst debian/tmp-p/DEBIAN/postinst
	chmod +x debian/tmp-p/DEBIAN/{pre,post}inst
	cp debian/passwd.conffiles debian/tmp-p/DEBIAN/conffiles
	dpkg-shlibdeps -dDepends debian/tmp-p/usr/{bin/*,sbin/*}
	cp src/shadowconfig.sh debian/tmp-p/usr/sbin/shadowconfig
	chmod +x debian/tmp-p/usr/sbin/shadowconfig
	dpkg-gencontrol -isp -ppasswd -Pdebian/tmp-p
	chown -R root.root debian/tmp-p
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-p
	chmod 4755 debian/tmp-p/usr/bin/{chage,chfn,chsh,expiry,gpasswd,passwd}
	dpkg --build debian/tmp-p ..

binary-su: checkroot build
	$(checkdir)
	-rm -rf debian/tmp-s
	umask 000
	install -d debian/tmp-s/{DEBIAN,etc,bin,usr/{doc/secure-su,man/man{1,5}}}
	cp src/su debian/tmp-s/bin/
	cp etc/suauth debian/tmp-s/etc/
	cp man/suauth.5 debian/tmp-s/usr/man/man5/
	cp man/su.1 debian/tmp-s/usr/man/man1/
	cp debian/secure-su.README debian/tmp-s/usr/doc/secure-su/README
	cp debian/changelog debian/tmp-s/usr/doc/secure-su/
	find debian/tmp-s/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/secure-su.copyright debian/tmp-s/usr/doc/secure-su/copyright
	cp debian/secure-su.preinst debian/tmp-s/DEBIAN/preinst
	cp debian/secure-su.postrm debian/tmp-s/DEBIAN/postrm
	chmod +x debian/tmp-s/DEBIAN/{preinst,postrm}
	cp debian/secure-su.conffiles debian/tmp-s/DEBIAN/conffiles
	dpkg-shlibdeps -dDepends debian/tmp-s/bin/su
	dpkg-gencontrol -isp -psecure-su -Pdebian/tmp-s
	chown -R root.root debian/tmp-s
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-s
	chmod 4755 debian/tmp-s/bin/su
	dpkg --build debian/tmp-s ..

define checkdir
	test -f lib/shadow.c -a -f debian/rules
endef


binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile
